Author Topic: Cannot build Code::Blocks correctly (I guess)  (Read 5190 times)

Offline Huub_Schaeks

  • Single posting newcomer
  • *
  • Posts: 3
Cannot build Code::Blocks correctly (I guess)
« on: June 22, 2005, 10:05:13 pm »
I've been trying to build Code::Blocks final Beta on my FC3 system with wxGTK-2.6 for a few days now but I keep getting an unsatisfactory result. Everything seems to be fine really. Building wxGTK is no problem (monolithic, shared, no unicode), building Code::Blocks after that is no problem, but when I start Code::Blocks I get a message like this:
"devel/share/CodeBlocks/plugins/libdebuggergdb.so: undefined symbol: _ZN14DisassemblyDlgC1EP8wxWindowP11DebuggerGDB"
Now, I'm not a C++ expert, but to me this looks like some compiling or linking error...
This is not the only thing that's wrong, just the most obvious one.
I've built Code::BLocks on WinXP and wxWidgets-2.6, so I've seen it work and I'd like to do some cross-platform things, but I can't and I'm getting frustrated. Any idea's anyone??

Offline rickg22

  • Lives here!
  • ****
  • Posts: 2283
Cannot build Code::Blocks correctly (I guess)
« Reply #1 on: June 22, 2005, 10:28:55 pm »
You Need to run the "update" script after compiling.

Offline Huub_Schaeks

  • Single posting newcomer
  • *
  • Posts: 3
Cannot build Code::Blocks correctly (I guess)
« Reply #2 on: June 23, 2005, 09:28:18 pm »
Thanks for trying to help, but I'm afraid I've got a more general problem. It looks my CPU is faulty. I got random crashes while building wxGTK once more, which didn't occur anymore after disabling level1 and level2 cpu chache. So I think I'll have to look into that first.

Just to get things strait though by running the update script you mean 'make -f Makefile.unix.wx2.6 update'? I don't think there was an executable script in the src directory.

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Cannot build Code::Blocks correctly (I guess)
« Reply #3 on: June 23, 2005, 10:01:47 pm »
Quote
"devel/share/CodeBlocks/plugins/libdebuggergdb.so: undefined symbol: _ZN14DisassemblyDlgC1EP8wxWindowP11DebuggerGDB"

The Makefile for wx2.6  might be inaccurate (it is not always up to date).

Quote
Just to get things strait though by running the update script you mean 'make -f Makefile.unix.wx2.6 update'? I don't think there was an executable script in the src directory.

Run ./update (it's in the same dir with the Makefiles).

Yiannis.
Be patient!
This bug will be fixed soon...

Anonymous

  • Guest
Cannot build Code::Blocks correctly (I guess)
« Reply #4 on: July 10, 2005, 10:55:13 pm »
Thanx Yiannis

You were right about the makefile. After comparing the unix and unix_2.6.0 version I added some references to some files in the debugger plugin and the newly compiled code::blocks started just fine.

But then I found that there is no editor, and no open files list. I did compile the stc contrib from wxGTK2.6.0, but is seems like it's just not used or not found, without any messages though, so I guess it's more complicated than that. Anyone had this before?

Offline Huub_Schaeks

  • Single posting newcomer
  • *
  • Posts: 3
Cannot build Code::Blocks correctly (I guess)
« Reply #5 on: July 10, 2005, 10:59:14 pm »
Sorry, forgot to log in before posting that last reply..

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Cannot build Code::Blocks correctly (I guess)
« Reply #6 on: July 11, 2005, 12:24:03 am »
Be patient for a couple of days. It seems we 're switching to wx2.6.1 officially, so support will be better ;)

Yiannis.
Be patient!
This bug will be fixed soon...